Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.transport.http.util
Class URLTemplatingUtil

    java.lang.Object
      org.apache.axis2.transport.http.util.URLTemplatingUtil

    public class URLTemplatingUtil

extends Object

This util is used on the client side for creating the URL's for all request (WSDL 2.0 allws to change the URL's of SOAP messages too). It resolves WSDL 2.0 httplocation property and also append parameters to URL's when needed.

Constructor Summary
`URLTemplatingUtil()`

Method Summary
`static URL` | `appendQueryParameters(MessageContext messageContext, URL url)` Appends Query parameters to the URL
`static URL` | `getTemplatedURL(URL targetURL, MessageContext messageContext, boolean detach)` Returns the templated URL given the original URL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLTemplatingUtil

    public URLTemplatingUtil()

Method Detail

### appendQueryParameters

    public static URL appendQueryParameters(MessageContext messageContext,
                                            URL url)
                                     throws AxisFault

  Appends Query parameters to the URL

  Parameters:
    `messageContext` - - The MessageContext of the request
    `url` - - Original url string
  Returns:
    String containing the appended query parameters
  Throws:
    `AxisFault`

### getTemplatedURL

    public static URL getTemplatedURL(URL targetURL,
                                      MessageContext messageContext,
                                      boolean detach)
                               throws AxisFault

  Returns the templated URL given the original URL

  Parameters:
    `targetURL` - - The original URL
    `messageContext` - - The MessageContext of the request
    `detach` - - Boolean value specifying whether the element should be detached from the envelop. When serializing data as application/x-form-urlencoded what goes in the body is the remainder and therefore we should detach the element from the envelop.
  Returns:
    The templated URL
  Throws:
    `AxisFault` - - Thrown in case an exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.